com.informix.asf

## Class CSMBufferedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.BufferedOutputStream
      - - com.informix.asf.CSMBufferedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class CSMBufferedOutputStream
    extends java.io.BufferedOutputStream

### Field Summary

### Fields inherited from class java.io.BufferedOutputStream

`buf, count`

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`CSMBufferedOutputStream(IfxDataOutputStream Os, CSMspwd csm)`
`CSMBufferedOutputStream(IfxDataOutputStream Os, int size, CSMspwd csm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()` flushes the outputstream.
`java.lang.String` `getClientLocale()` Return the class variable ClientLocale.
`void` `setClientLocale(java.lang.String loc)` Set the class variable ClientLocale.
`void` `write(byte[] data, int off, int len)`
`void` `write(int i)`

### Methods inherited from class java.io.FilterOutputStream

`close, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSMBufferedOutputStream

    public CSMBufferedOutputStream(IfxDataOutputStream Os,
                                   CSMspwd csm)

#### CSMBufferedOutputStream

    public CSMBufferedOutputStream(IfxDataOutputStream Os,
                                   int size,
                                   CSMspwd csm)

### Method Detail

#### flush

    public final void flush()
                     throws java.io.IOException

flushes the outputstream.

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.BufferedOutputStream`
Throws:
  `java.io.IOException` - In case an I/O error occurs.

#### write

    public void write(int i)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.BufferedOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] data,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.BufferedOutputStream`
Throws:
  `java.io.IOException`

#### setClientLocale

    public void setClientLocale(java.lang.String loc)

Set the class variable ClientLocale. ClientLocale is the locale of any exception/error output. null defaults to the default (English).

Parameters:
  `loc` -

#### getClientLocale

    public java.lang.String getClientLocale()

Return the class variable ClientLocale. ClientLocale is the locale of any exception/error output.

Parameters:
  `loc` -